<?php

namespace App\Modules\Shared\Exceptions;

use Exception;

class ActionRequestException extends Exception
{
    
    private mixed $response;

    public function __construct(
        $response
    ) {
        $this->response = $response;
    }

    public function getResponse()
    {
        return $this->response;
    }
}
